Skip to content
Start here

Delete an output

stream.live_inputs.outputs.delete(stroutput_identifier, OutputDeleteParams**kwargs)
DELETE/accounts/{account_id}/stream/live_inputs/{live_input_identifier}/outputs/{output_identifier}

Deletes an output and removes it from the associated live input.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Stream Write
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
live_input_identifier: str

A unique identifier for a live input.

maxLength32
output_identifier: str

A unique identifier for the output.

maxLength32

Delete an output

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client.stream.live_inputs.outputs.delete(
    output_identifier="baea4d9c515887b80289d5c33cf01145",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    live_input_identifier="66be4bf738797e01e1fca35a7bdecdcd",
)
{}
Returns Examples
{}